@import url('https://fonts.googleapis.com/css2?family=Jura:wght@300..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900&family=Quintessential&display=swap');

:root {
    --bg1: #151515;
    --bg2: #222222;
    --bg3: #393939;
    --tx1: #ffffff;
    --tx2: #e9e9e9;
    --mc: #0f0;
    --sc: #e8b923;
    --c3: #ccc;
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: var(--bg1);
    color: var(--tx2);
    overflow-x: hidden;
}

html {
    scroll-behavior: smooth;
}

header {
    color: var(--sc);
    font-weight: 900;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding-top: 20px;
    transition: all 1.5s ease-out;
    position: relative;
    overflow: hidden;
}

.header-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(to bottom,
            rgba(0, 0, 0, 0.99),
            rgba(0, 0, 0, 0.4));
    z-index: 10;
    pointer-events: none;
    transition: background 0.5s ease;
}

#main-nav {
    display: flex;
    justify-content: center;
    padding: 1em 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background: radial-gradient(ellipse at center, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.05) 90%);
    transition: background 0.5s cubic-bezier(0.4, 0.0, 0.2, 1),
        box-shadow 0.5s cubic-bezier(0.4, 0.0, 0.2, 1),
        padding 0.5s cubic-bezier(0.4, 0.0, 0.2, 1);
    transform: translateX(0);
}

#main-nav a {
    color: var(--tx1);
    padding: 0.8em 1.5em;
    text-decoration: none;
    border-radius: 7px;
    transition: background-color 0.3s;
}

#main-nav a::after {
    content: '';
    width: 0;
    height: 5px;
    display: block;
    background-color: var(--tx2);
}

#main-nav a:hover::after {
    border-radius: 0;
    transition: all .5s;
    width: 100%;
}

#main-nav a.logo:hover::after {
    display: none;
}

#main-nav.sticky {
    background: var(--bg2);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    padding: 0.5em 0;
}

section {
    padding: 4em 2em;
    text-align: center;
    margin-top: 80px;
    min-height: 90vh;
    animation: comein 2s ease;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 20px;
    margin-top: 1em;
    margin: 100px;
}

.card {
    background-color: var(--bg2);
    border: 1px solid var(--bg3);
    border-radius: 10px;
    padding: 1em;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s;
}

.card:hover {
    transform: scale(1.05) rotateY(5deg);
}

.card img {
    width: 100%;
    border-radius: 10px;
}

footer {
    background-color: var(--bg2);
    color: var(--tx1);
    text-align: center;
    padding: 1em 0;
    width: 100%;
}

.shadow {
    position: sticky;
    top: 0;
    color: white;
    padding: 20px;
    padding-top: 40px;
    text-align: center;
    border-radius: 10px;
    z-index: 10;
    opacity: 1;
    transition: opacity 0.3s ease, transform 1.5s ease-out;
}

.shadow h1 {
    font-size: 45px;
}

.shadow.hidden {
    display: none;
}

#intro h2,
p {
    font-family: "jura", serif;
}

#heading {
    font-size: 40px;
}

.typewriter {
    font-size: 18px;
    white-space: nowrap;
    overflow: hidden;
    display: inline-block;
    border-right: 2px solid white;
}

.logo-img {
    filter: brightness(0) invert(1);
    height: 25px;
    width: 200px;
}

.logo {
    transform: translateX(-90%);
}

#main-nav .logo:hover {
    background: transparent;
}

.shadow-img {
    filter: brightness(0) invert(1);
    height: 25px;
    width: 200px;
    transform: scale(1.5);
    padding: 1px;
    padding-left: 35px;
}

.shadow p {
    margin-left: 45px;
}

#intro {
    text-align: center;
    background-color: var(--bg1);
    color: var(--tx1);
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

.intro-container {
    text-align: center;
}

#heading {
    font-size: 40px;
    margin-bottom: 20px;
}

#paragraph {
    font-size: 18px;
    margin-bottom: 30px;
}

.cta-button {
    padding: 10px 20px;
    background-color: var(--mc);
    color: var (--tx1);
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    transition: all 0.3s ease;
    left: 0;
    right: 0;
    margin: auto;
}

.cta-button:hover {
    transform: scale(1.15);
    background: #01b501;
}

.hidden {
    display: none;
}

.scroll-arrow {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 2rem;
    animation: bounce 1s infinite;
    cursor: pointer;
}

.scroll-arrow a {
    color: var(--tx1);
    font-weight: bolder;
}

@keyframes bounce {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-15px);
    }
}

section.contact {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    margin: 0;
    position: relative;
}

.contact-box h2 {
    font-size: 2em;
    color: var(--tx1);
    text-align: center;
}

.input-box {
    position: relative;
    width: 310px;
    margin: 30px 0;
    border-bottom: 2px solid var(--tx1);
}

.input-box label {
    position: absolute;
    top: 50%;
    left: 5px;
    transform: translateY(-50%);
    font-size: 1em;
    color: var(--tx1);
    pointer-events: none;
    transition: .5s;
}

.input-box input:focus~label,
.input-box input:valid~label {
    top: -5px;
}

.input-box input {
    width: 100%;
    height: 50px;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1em;
    color: var(--tx1);
    padding: 0 35px 0 5px;
}

.input-box input:-webkit-autofill,
.input-box input:-webkit-autofill:hover,
.input-box input:-webkit-autofill:focus,
.input-box input:-webkit-autofill:active {
    -webkit-text-fill-color: var(--tx1) !important;
    -webkit-box-shadow: 0 0 0 1000px transparent inset !important;
    transition: background-color 5000s ease-in-out 0s;
}

.input-box .icon {
    position: absolute;
    right: 8px;
    color: var(--tx1);
    font-size: 1.2em;
    line-height: 57px;
}

.contact-box button {
    width: 100%;
    height: 40px;
    background: var (--tx1);
    border: none;
    outline: none;
    border-radius: 40px;
    cursor: pointer;
    font-size: 1em;
    color: #000;
    font-weight: 500;
}

.glitch {
    text-align: center;
    font-size: 1.2rem;
    color: var(--mc);
    visibility: hidden;
    margin-top: 10px;
}

#contact .background-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 200vh;
    height: 100vh;
    object-fit: cover;
    z-index: -1;
    opacity: 0.6;
    margin-top: 64px;
}

#contact .background-video.second {
    position: absolute;
    top: 0;
    left: 0;
    width: 200vh;
    height: 100vh;
    object-fit: cover;
    z-index: -1;
    opacity: 0.6;
    margin-top: -64px;
    margin-left: -13px;
}

#confirmation {
    visibility: hidden;
    text-align: center;
    font-size: 1.2rem;
    color: white;
    background: rgba(0, 0, 0, 0.8);
    padding: 20px;
    border-radius: 10px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1001;
}

@keyframes glitch {
    0% {
        opacity: 0;
        transform: translateX(-10px);
    }

    50% {
        opacity: 1;
        transform: translateX(10px);
    }

    100% {
        opacity: 0;
        transform: translateX(-10px);
    }
}

.textarea textarea {
    background: transparent;
    border: none;
    width: 310px;
    height: 70px;
    border-bottom: 2px solid var(--tx1);
    margin-bottom: 10px;
    color: var(--tx1);
    outline: none;
}

#contact {
    padding-bottom: 0;
}

.outer-contact-box {
    position: relative;
    width: 100%;
    max-width: 60vh;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
    border-radius: 20px;
    overflow: hidden;
    padding: 12px;
    z-index: 10;
    box-sizing: border-box;
}

.outer-contact-box::before,
.outer-contact-box::after {
    position: absolute;
    width: 170%;
    height: 170%;
    content: '';
    background-image: conic-gradient(transparent, transparent, transparent, var(--mc));
    z-index: -1;
}

.outer-contact-box::before {
    animation: rotate_border 6s linear infinite;
}

.outer-contact-box::after {
    animation: rotate_border 6s linear infinite;
    animation-delay: -3s;
}

@keyframes rotate_border {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.contact-box {
    position: relative;
    background: var(--bg2);
    padding: 0;
    width: 60vh;
    height: 60vh;
    border: 2px solid rgba(255, 255, 255, .5);
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 21;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.99);
    z-index: 1000;
}

footer {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    color: var(--tx1);
    background: var(--bg2);
}

footer ul {
    list-style: none;
}

footer p {
    color: var (--tx2);
    max-width: 25em;
    font-size: 0.9em;
    line-height: 23px;
    text-transform: capitalize;
}

footer .footer-text {
    font-size: .95em;
    left: 0;
    right: 0;
    margin: auto;
}

footer a {
    color: var(--tx1);
    text-decoration: none;
}

footer .footer-container {
    margin: 0 auto;
    padding: 2em;
}

.footer .footer-container {
    display: flex;
    justify-content: space-between;
    gap: 2em;
}

.media-icons li {
    display: inline-block;
    margin: 0.5em 0.5em 0.5em 0;
}

.media-icons a {
    font-size: 1.1em;
    width: 2em;
    height: 2em;
    border: 1px solid var(--tx1);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s;
}

.media-icons a:hover {
    background: var(--tx2);
    color: var(--bg1);
    transform: scale(1.15);
}

.menu {
    margin-bottom: 1.8em;
    text-align: center;
}

.menu li {
    display: inline-block;
    margin: 0 0.7em 0.7em 0;
    text-align: center;
}

.menu a {
    transition: 0.3s;
    font-weight: 600;
}

.menu a:hover {
    color: var(--mc);
}

.footer-input-wrap {
    margin: 1em 0;
    display: flex;
}

.footer-input-wrap input {
    padding: 0.5em;
    border: none;
    background: var(--bg3);
    color: var(--c3);
    border-radius: 5px 0 0 5px;
}

.footer-input-wrap input:focus {
    outline: none;
}

.footer-input-wrap button {
    padding: 0.8em;
    background: var(--bg3);
    border: none;
    border-left: 1px solid var(--bg2);
    color: var(--tx1);
    border-radius: 0 5px 5px 0;
}

.footer-input-wrap button:hover {
    background: var(--tx1);
    color: var(--bg1);
}

.touch {
    font-size: 20px;
    margin: 17px 0 -5px 0;
}

footer .footer-text a.footer-text-me {
    text-decoration: underline;
}










#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--bg1);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

#preloader .radar-effect {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: conic-gradient(from 0deg, rgba(0, 255, 0, 0.5), transparent 90deg);
    animation: radar-sweep 2s linear infinite;
}

@keyframes radar-sweep {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#interaction-prompt {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    color: white;
    font-size: 1.5rem;
    z-index: 10000;
    background: var(--bg1);
    height: 100vh;
    width: 100vw;
    overflow-x: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
















@media (max-width: 600px) {
    header {
        height: auto;
        padding-top: 10px;
    }

    #main-nav {
        flex-direction: column;
        align-items: center;
    }

    #main-nav a {
        padding: 0.5em 1em;
    }

    .gallery {
        grid-template-columns: 1fr;
        margin: 20px;
    }

    .card {
        padding: 0.5em;
    }

    footer .footer-container {
        flex-direction: column;
        align-items: center;
    }
}

@media (min-width: 601px) and (max-width: 900px) {
    header {
        height: auto;
        padding-top: 15px;
    }

    #main-nav {
        flex-direction: row;
        justify-content: space-around;
    }

    #main-nav a {
        padding: 0.6em 1.2em;
    }

    .gallery {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        margin: 50px;
    }

    .card {
        padding: 0.8em;
    }

    footer .footer-container {
        flex-direction: row;
        justify-content: space-around;
    }
}

@media (min-width: 901px) {
    header {
        height: 100vh;
        padding-top: 20px;
    }

    #main-nav {
        flex-direction: row;
        justify-content: center;
    }

    #main-nav a {
        padding: 0.8em 1.5em;
    }

    .gallery {
        grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
        margin: 100px;
    }

    .card {
        padding: 1em;
    }

    footer .footer-container {
        flex-direction: row;
        justify-content: space-between;
    }
}